# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Time/Local.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name: perl-XML-FeedPP
Version: 0.41
Release: alt1_10
Summary: Parse/write/merge/edit RSS/RDF/Atom syndication feeds
Group: Development/Perl
License: GPL+ or Artistic
URL: http://search.cpan.org/dist/XML-FeedPP
Source0: http://www.cpan.org/modules/by-module/XML/XML-FeedPP-%{version}.tar.gz

BuildArch: noarch
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm)
BuildRequires: perl(XML/TreePP.pm)
BuildRequires: perl(IO/Socket.pm)
Source44: import.info

%description
Parse/write/merge/edit RSS/RDF/Atom syndication feeds

%prep
%setup -q -n XML-FeedPP-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make %{?_smp_mflags} pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT

%check
make %{?_smp_mflags} test || :

%files
%doc README Changes
%dir %{perl_vendor_privlib}/XML/
%{perl_vendor_privlib}/XML/FeedPP.pm

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.41-alt1_10
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.41-alt1_9
- update to new release by fcimport

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 0.41-alt1_7
- fc import

